General

Profile

Kazuhiko Shiozaki

Issues

Activity

02/24/2013

07:37 AM Ruby trunk Bug #7924: r39232 以降 net/http で正しく reponse を取得出来ないケースがある
問題になった r32932 ruby_2_0_0 にすでにマージされているので、このまま2.0.0を出すとけっこう影響の大きいバグだと思います。
07:36 AM Ruby trunk Bug #7924: r39232 以降 net/http で正しく reponse を取得出来ないケースがある
accept-encodingの無指定時に、http.rbのget()でaccept-encodingをつけていて、そのためにgeneric_request.rbが「あ、指定してるんならdecode_content=falseでいいよ...

10/16/2011

04:43 AM Ruby trunk Bug #5451 (Closed): cgi/core.rbのread_multipart()で$stdioを直接使っているために、ruby-fcgiでmultipart/form-dataが...
ruby-fcgiを使うと、multipart/form-dataの時にPOSTできないことに気づきました。
調べたところ、ruby-fcgiでは、CGI#stdinputを@request.inに上書きしているのに、cgi/cor...

10/04/2011

08:23 PM Ruby trunk Bug #5279: $SAFEが3以上の時にString#encodeがSecurityErrorを発生させるケースがある
On 04/10/2011 12:22, NARUSE, Yui wrote:
>> 例えば、
>>
>> $ ruby1.9 -ve 'a="あ";"あ".encode("euc-jp"); $SAFE=4; a.en...
07:23 PM Ruby trunk Bug #5279: $SAFEが3以上の時にString#encodeがSecurityErrorを発生させるケースがある
On 28/09/2011 14:15, Kazuhiko wrote:
> On 26/09/2011 19:19, Shugo Maeda wrote:
>>>> Yuguiさんが1.9.3ブランチにバックポートしてくだ...

09/28/2011

09:23 PM Ruby trunk Bug #5279: $SAFEが3以上の時にString#encodeがSecurityErrorを発生させるケースがある
かずひこです。

On 26/09/2011 19:19, Shugo Maeda wrote:
>>> Yuguiさんが1.9.3ブランチにバックポートしてくださって、先ほどめでたく
>>> 1.9.3RC1が出た...

09/25/2011

03:53 AM Ruby trunk Bug #5279: $SAFEが3以上の時にString#encodeがSecurityErrorを発生させるケースがある
かずひこです。

On 06/09/2011 12:10, Kazuhiko wrote:
> On 06/09/2011 06:10, Shota Fukumori (sora_h) wrote:
>> じゃぁ,大...

09/06/2011

07:23 PM Ruby trunk Bug #5279: $SAFEが3以上の時にString#encodeがSecurityErrorを発生させるケースがある
On 06/09/2011 06:10, Shota Fukumori (sora_h) wrote:
> じゃぁ,大丈夫かな.
>
> P.S.: このバグについてのテストケースは今書いています.
>
> ...

09/05/2009

02:10 AM Ruby trunk Feature #2032: Change the license to "GPLv2+ or Ruby's original".
=begin
greg:
> But using a GPL3 library is problematic for a different reason. It is
> not compatible with GPL2...

08/12/2009

03:50 AM Ruby trunk Bug #1929 (Closed): str.dup.force_encodingが元のstrに影響を与えることがある
=begin
かずひこです。

tDiary trunk 3514をruby-trunkで動かすとカテゴリプラグインで日本語カテゴリのリンクをたどると
incompatible character encodings: ...

Also available in: Atom